GET api/Report/GetTPOListReport?distId={distId}&sDate={sDate}&eDate={eDate}&DairyPlantID={DairyPlantID}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| distId | integer |
Required |
|
| sDate | date |
Required |
|
| eDate | date |
Required |
|
| DairyPlantID | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of TPOReport| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| TpoNo | string |
None. |
|
| FpoNo | string |
None. |
|
| DistributorId | integer |
None. |
|
| DistributorName | string |
None. |
|
| Amount | decimal number |
None. |
|
| NetAmount | decimal number |
None. |
|
| GST | decimal number |
None. |
|
| TPODate | date |
None. |
|
| ProductSupplyDate | date |
None. |
|
| Shift | string |
None. |
|
| TransactionId | string |
None. |
|
| TransDate | date |
None. |
|
| DistributorType | string |
None. |
|
| TransAmount | decimal number |
None. |
|
| Unit | string |
None. |
|
| Quantity | integer |
None. |
|
| TotalAmount | decimal number |
None. |
|
| GSTAmount | decimal number |
None. |
|
| ItemName | string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": 1,
"tpoNo": "sample string 2",
"fpoNo": "sample string 3",
"distributorId": 4,
"distributorName": "sample string 5",
"amount": 6.0,
"netAmount": 7.0,
"gst": 8.0,
"tpoDate": "2026-04-13T20:21:31.801251+05:30",
"productSupplyDate": "2026-04-13T20:21:31.801251+05:30",
"shift": "sample string 11",
"transactionId": "sample string 12",
"transDate": "2026-04-13T20:21:31.801251+05:30",
"distributorType": "sample string 14",
"transAmount": 15.0,
"unit": "sample string 16",
"quantity": 17,
"totalAmount": 18.0,
"gstAmount": 19.0,
"itemName": "sample string 20"
},
{
"id": 1,
"tpoNo": "sample string 2",
"fpoNo": "sample string 3",
"distributorId": 4,
"distributorName": "sample string 5",
"amount": 6.0,
"netAmount": 7.0,
"gst": 8.0,
"tpoDate": "2026-04-13T20:21:31.801251+05:30",
"productSupplyDate": "2026-04-13T20:21:31.801251+05:30",
"shift": "sample string 11",
"transactionId": "sample string 12",
"transDate": "2026-04-13T20:21:31.801251+05:30",
"distributorType": "sample string 14",
"transAmount": 15.0,
"unit": "sample string 16",
"quantity": 17,
"totalAmount": 18.0,
"gstAmount": 19.0,
"itemName": "sample string 20"
}
]
application/xml, text/xml
Sample:
<ArrayOfTPOReport xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
<TPOReport>
<Amount>6</Amount>
<DistributorId>4</DistributorId>
<DistributorName>sample string 5</DistributorName>
<DistributorType>sample string 14</DistributorType>
<FpoNo>sample string 3</FpoNo>
<GST>8</GST>
<GSTAmount>19</GSTAmount>
<Id>1</Id>
<ItemName>sample string 20</ItemName>
<NetAmount>7</NetAmount>
<ProductSupplyDate>2026-04-13T20:21:31.801251+05:30</ProductSupplyDate>
<Quantity>17</Quantity>
<Shift>sample string 11</Shift>
<TPODate>2026-04-13T20:21:31.801251+05:30</TPODate>
<TotalAmount>18</TotalAmount>
<TpoNo>sample string 2</TpoNo>
<TransAmount>15</TransAmount>
<TransDate>2026-04-13T20:21:31.801251+05:30</TransDate>
<TransactionId>sample string 12</TransactionId>
<Unit>sample string 16</Unit>
</TPOReport>
<TPOReport>
<Amount>6</Amount>
<DistributorId>4</DistributorId>
<DistributorName>sample string 5</DistributorName>
<DistributorType>sample string 14</DistributorType>
<FpoNo>sample string 3</FpoNo>
<GST>8</GST>
<GSTAmount>19</GSTAmount>
<Id>1</Id>
<ItemName>sample string 20</ItemName>
<NetAmount>7</NetAmount>
<ProductSupplyDate>2026-04-13T20:21:31.801251+05:30</ProductSupplyDate>
<Quantity>17</Quantity>
<Shift>sample string 11</Shift>
<TPODate>2026-04-13T20:21:31.801251+05:30</TPODate>
<TotalAmount>18</TotalAmount>
<TpoNo>sample string 2</TpoNo>
<TransAmount>15</TransAmount>
<TransDate>2026-04-13T20:21:31.801251+05:30</TransDate>
<TransactionId>sample string 12</TransactionId>
<Unit>sample string 16</Unit>
</TPOReport>
</ArrayOfTPOReport>